<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImIosApnsMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , fk_app_id, apns_file_value, env, bundle_id, pwd
    </sql>

    <select id="getImIosApnsById" resultType="com.wecloud.im.param.ImIosApnsQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_ios_apns where id = #{id}
    </select>

    <select id="getImIosApnsPageList" parameterType="com.wecloud.im.param.ImIosApnsPageParam"
            resultType="com.wecloud.im.param.ImIosApnsQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_ios_apns
    </select>

</mapper>
